{{- $title := .Get "title" }}
{{- $id := $title | urls.Anchorize -}}
{{- with (.Get "id") }}
	{{- $id = . -}}
{{- end -}}

{{- .Page.Store.Add "sections" (dict "title" $title "id" $id) -}}

<section id="{{ $id }}">
	<div class="page-header">
		<h2>{{ $title }}</h2>
	</div>

	{{ with .Get "markdown" }}
		{{ if eq . "false" }}
			{{ $.Inner }}
		{{ else }}
			{{ $.Inner | transform.Markdownify }}
		{{ end }}
	{{ else }}
		{{ $.Inner | transform.Markdownify }}
	{{ end }}
</section>
